

//Miniview threshold in px
var MINIVIEW_TRESHOLD = 150;
var isFullView = false;
var miniviewContent = "N/A";
var fullviewContent = "N/A";
var doupdate = true;

window.onload = init;
window.onresize = resizing;

window.onoffline = function() 
{
	doupdate = false;
	update();
}
	
window.ononline = function() 
{
	doupdate = true;
	update();
}


function resizing()
{
    if (window.innerHeight < MINIVIEW_TRESHOLD) 
    {
        isFullView = false;
    }
    else 
    {
        isFullView = true;
    }
	setContent();
}


function getMain()
{
	return isFullView ? "maxiview" : "miniview";
}

function init()
{	
	resizing();
	document.getElementById(getMain()).innerHTML = "<strong></>Loading...</strong>";
	update();
}


function update()
{
	if (doupdate) 
	{
		// Will call viewContent as the result.
		getData("http://www.aqicn.info/?frame&symbian&miniview&city=Japan/%E5%8C%97%E5%AE%89%E6%9B%87%E9%83%A1%E7%99%BD%E9%A6%AC%E6%9D%91/%E5%9B%BD%E8%A8%AD%E5%85%AB%E6%96%B9%E5%B0%BE%E6%A0%B9%E9%85%B8%E6%80%A7%E9%9B%A8&id=8790",0);
		setTimeout("update()", 1000 * 60 * 60);
	}
	else
	{
		document.getElementById(getMain()).innerHTML = 
			"<strong>Your phone data connection is currently set to offline</strong>";
	}
}

function showing()
{
	setContent();
}

function viewContent(content, id)
{
	if(content == null)
	{
		content = "This seems to take some time...";
	}
	
	if (id == 0)
	{
		miniviewContent = content;
		
		/* Fetch the second part */
		getData("http://www.aqicn.info/?frame&symbian&fullview&city=Japan/%E5%8C%97%E5%AE%89%E6%9B%87%E9%83%A1%E7%99%BD%E9%A6%AC%E6%9D%91/%E5%9B%BD%E8%A8%AD%E5%85%AB%E6%96%B9%E5%B0%BE%E6%A0%B9%E9%85%B8%E6%80%A7%E9%9B%A8&id=8790",1);
	}
	else if (id == 1)
	{
		fullviewContent = content;
	}
	
	setContent();
}

function setContent()
{
	if (isFullView) 
	{
		document.getElementById("miniview").innerHTML = "";
		document.getElementById("maxiview").innerHTML = fullviewContent;
	}
	else 
	{
		document.getElementById("maxiview").innerHTML = "";
		document.getElementById("miniview").innerHTML = miniviewContent;
	}
}	
	
	